<template>
    <Page>
        <StackLayout>
            <Label :text="label" textWrap="true" />
            <Image :src="image" @swipe="onSwipe" />
            <WrapLayout orientation="horizontal" ref="add" itemWidth="" itemHeight="">

            </WrapLayout>
        </StackLayout>
    </Page>
</template>

<script>
import { SwipeDirection, SwipeGestureEventData } from "tns-core-modules/ui/gestures";
import { Image } from "tns-core-modules/ui/image";

export default {
    data() {
        return {
            image: "~/assets/images/pierre.jpeg",
            label: "Salut à tous les ptits amis"
        }
    },
    methods: {
        onSwipe(args) {
            let direction =
                args.direction == SwipeDirection.down
                    ? "down"
                    : args.direction == SwipeDirection.up
                        ? "up"
                        : args.direction == SwipeDirection.left
                            ? "left"
                            : "right";
            this.label = "You performed a " + direction + " swipe"
            if (direction == "left") {
                this.appearLeft();
            }
        },
        appearLeft() {
            if (this.image === "~/assets/images/pierre.jpeg") {
                this.image = "~/assets/images/ETOS-holiday-cover-egg-in-chair.jpg"
            } else {
                this.image = "~/assets/images/pierre.jpeg";
            }
        },
        appearLeft() {
            let item = new Image();
            item.src = "~/assets/images/pierre.jpeg";
            item.width = 90;
            item.height = 90;
            item.style.margin = "5,5,5,5";
            item.translateX = -300;
            item.opacity = 0;
            item.on("loaded", function (args) {
                args.object.animate({ translate: { x: 0, y: 0 }, opacity: 1 });
            });
            let wrapLayout = this.$refs.add.nativeView;
            wrapLayout.addChild(item);
        }
    }
}
</script>

<style>
</style>
